gupnp_service_proxy_action_get
gupnp_service_proxy_add_notify
Gupnp Functions
PHP Manual

# gupnp_service_proxy_action_set

Send action to the service and set value

### Description

bool gupnp_service_proxy_action_set ( resource `$proxy` , string `$action` , string `$name` , mixed `$value` , int `$type` )

Send action with parameters to the service exposed by proxy synchronously and set value.

### Parameters

`proxy`

  A service proxy identifier.

`action`

  An action.

`name`

  The action name.

`value`

  The action value.

`type`

  The type of the action. Type can be one of the following values:

  `GUPNP_TYPE_BOOLEAN`
    Type of the variable is boolean.
  `GUPNP_TYPE_INT`
    Type of the variable is integer.
  `GUPNP_TYPE_LONG`
    Type of the variable is long.
  `GUPNP_TYPE_DOUBLE`
    Type of the variable is double.
  `GUPNP_TYPE_FLOAT`
    Type of the variable is float.
  `GUPNP_TYPE_STRING`
    Type of the variable is string.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Issues E_WARNING with either not correctly defined type of the action or unable to send action.

### See Also

- gupnp_service_proxy_action_get
- gupnp_service_proxy_send_action